package intrinsic.mx.messaging.events;

public class ChannelFaultEvent extends intrinsic.mx.messaging.events.ChannelEvent {

	/** Accessors */

	/** Variables */
	public Object rootCause;
	public String faultDetail;
	public String faultCode;
	public String faultString;
	public intrinsic.mx.messaging.Channel channel;
	public boolean reconnecting;
	public boolean connected;
	public boolean rejected;

	/** Constants */
	public static final String FAULT = "fault";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ChannelFaultEvent() {
}

public ChannelFaultEvent(String arg0) {
}

public ChannelFaultEvent(String arg0, boolean arg1) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, String arg5) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, String arg5, String arg6) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, String arg5, String arg6, String arg7) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, String arg5, String arg6, String arg7, boolean arg8) {
}

public ChannelFaultEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, String arg5, String arg6, String arg7, boolean arg8, boolean arg9) {
}


/** Static Methods */
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0);
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0, boolean arg1);
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0, boolean arg1, String arg2);
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0, boolean arg1, String arg2, String arg3);
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0, boolean arg1, String arg2, String arg3, String arg4);
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0, boolean arg1, String arg2, String arg3, String arg4, boolean arg5);
public static native intrinsic.mx.messaging.events.ChannelFaultEvent createEvent(intrinsic.mx.messaging.Channel arg0, boolean arg1, String arg2, String arg3, String arg4, boolean arg5, boolean arg6);

/** Methods */
public native String toString();
public native Object clone();
public native intrinsic.mx.messaging.messages.ErrorMessage createErrorMessage();

}
